import { SearchTrigger } from '@oinone/kunlun-vue-ui-common';
import { FormM2OSelectFieldWidget } from '../../form';
export declare class SearchM2OSelectFieldWidget extends FormM2OSelectFieldWidget {
    protected onSearch: (() => void) | undefined;
    protected defaultSearchTrigger: SearchTrigger[];
    protected get searchTrigger(): SearchTrigger[];
    change(value: any): void;
}
